Jump to content
robinwarren

PayPal Pro - going in circles

Recommended Posts

I am running OSC 2.3.4 and PayPal App v5.018. We have used PayPal Payments Standard for years and is working fine. I am trying to add PayPal Pro using Hosted Checkout Pages.

When I log into PayPal Manager, the account is ACTIVE, able to run both live and test transactions. PayPal Payments Pro, Hosted Checkout Pages, Payflow SDK/API, and PayPal Express Checkout are all indicated as LIVE.

In the PayPal App, I have successfully entered and saved the PayFlow credentials. (BTW, I am typing "paypal" as the "partner", and that's what we also put as the partner when we log into the PayPal Manager. That's what PayPal tech told us to use, but should the partner be "payflow"?)

In the OSC PayPal App, IF I have the General tab set to PayFlow,

When I got to the OSC PayPal App settings for PayPal Hosted Solution, I see this message:
This module is not yet suited for Payflow and will not load. This will be enabled in the next update to the PayPal App.

When I go to the PayPal App page in OSC, however, the most recent version for download is labeled v5.010 dated 1 March 2017, and that version number sure looks like one that's earlier than what I already have installed...

So I don't know what to do to proceed.

In the OSC PayPal App, IF I have the General tab set to PayPal,

When I go to the Hosted Solution settings, I get this message:
This module will not load until the API credentials have been configured. Please edit and configure the settings of the PayPal App.

I don't know what that means! Where do I put in the API credentials?

Help?!?! What am I missing? I've been going in circles on this. I am NOT a PHP heavy, but I've used OSC and installed complicated contributions for years without a problem ...

Thanks for any help!

 

Share this post


Link to post
Share on other sites

Ermm... at the risk of sounding flippant you click on Credentials in the menu and put them in there.


For a new install or if your store isn't mobile-friendly, get the community-supported responsive osCommerce (Phoenix).

here: on the official osc download page

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×